changed to shell: bash for windows tests/builds
All checks were successful
/ test-on-windows (push) Successful in 19s
/ test-on-alpine (push) Successful in 4s

This commit is contained in:
partisan 2024-12-21 14:08:50 +01:00
parent fba04a0c06
commit 17bb547c74

View file

@ -8,15 +8,21 @@ jobs:
uses: actions/checkout@v3
- name: Verify Go Installation
shell: bash
run: |
go version || (echo "Go is not installed!" && exit 1)
if ! go version; then
echo "Go is not installed!"
exit 1
fi
- name: Build Go Application
shell: bash
run: |
go build -o spitfire-installer.exe
echo "Application built successfully."
- name: Run Go Application
shell: bash
run: |
./spitfire-installer.exe || echo "Application failed to run."
@ -38,3 +44,4 @@ jobs:
- name: Run Go Application
run: |
./spitfire-installer || echo "Application failed to run."